classification
Title: add more baud constants to termios
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Rodolpho.Eckhardt, jonsmirl, pitrou
Priority: normal Keywords: easy, patch

Created on 2010-03-06 04:26 by jonsmirl, last changed 2010-11-20 20:03 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
termios_baud.patch Rodolpho.Eckhardt, 2010-11-20 19:06
Messages (3)
msg100515 - (view) Author: Jon Smirl (jonsmirl) Date: 2010-03-06 04:26
termios doesn't have the constants defined for higher baud rates on Linux.

According to my bits/termios.h:
#define  B57600   0010001
#define  B115200  0010002
#define  B230400  0010003
#define  B460800  0010004
#define  B500000  0010005
#define  B576000  0010006
#define  B921600  0010007
#define  B1000000 0010010
#define  B1152000 0010011
#define  B1500000 0010012
#define  B2000000 0010013
#define  B2500000 0010014
#define  B3000000 0010015
#define  B3500000 0010016
#define  B4000000 0010017
msg121722 - (view) Author: Rodolpho Eckhardt (Rodolpho.Eckhardt) Date: 2010-11-20 19:06
Added those baud rates using #ifdef's because I'm not sure all platforms will define them.
msg121747 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-11-20 20:03
Patch committed in r86610, thank you!
History
Date User Action Args
2010-11-20 20:03:30pitrousetstatus: open -> closed

nosy: + pitrou
messages: + msg121747

resolution: fixed
stage: needs patch -> resolved
2010-11-20 19:06:59Rodolpho.Eckhardtsetfiles: + termios_baud.patch

nosy: + Rodolpho.Eckhardt
messages: + msg121722

keywords: + patch
2010-08-01 15:38:40belopolskysetkeywords: + easy
2010-07-11 14:30:53BreamoreBoysetversions: - Python 2.7
2010-03-06 20:40:13brian.curtinsetpriority: normal
versions: + Python 2.7, Python 3.2
components: + Library (Lib)
stage: needs patch
2010-03-06 04:26:40jonsmirlcreate